| KD SOAP 1.9.1

Public Member Functions | Static Public Member Functions | List of all members
KDSoapFaultException Class Reference

`#include <KDSoapFaultException.h>`

## Public Member Functions
void | deserialize (const KDSoapValue &mainValue)
QString | faultCode () const
void | setFaultCode (const QString &faultCode)
QString | faultString () const
void | setFaultString (const QString &faultString)
QString | faultActor () const
void | setFaultActor (const QString &faultActor)
KDSoapValue | detailValue () const
void | setDetailValue (const KDSoapValue &detailValue)
| KDSoapFaultException ()
| KDSoapFaultException (const KDSoapFaultException &cpy)
| KDSoapFaultException (const QString &faultCode, const QString &faultString, const QString &faultActor=QString())
KDSoapFaultException & | operator= (const KDSoapFaultException &other)
| ~KDSoapFaultException ()

## Static Public Member Functions
static const KDSoapValue & | faultDetails (const KDSoapValue &faultValue)

## Detailed Description

KDSoapFaultException is the base class for exceptions representing a fault element. So far supporting only SOAP 1.1 version which mean the following attributes : <faultcode>, <faultstring>, <faultfactor>, <detail>

The <detail> tag optionally contains specific serialized fault information. represented as an exception in the client side.

## Constructor & Destructor Documentation

## ◆ KDSoapFaultException() [1/3]

KDSoapFaultException::KDSoapFaultException | ( |  | ) |

Constructor

## ◆ KDSoapFaultException() [2/3]

KDSoapFaultException::KDSoapFaultException | ( | const KDSoapFaultException & | cpy | ) |

Copy constructor

## ◆ KDSoapFaultException() [3/3]

KDSoapFaultException::KDSoapFaultException | ( | const QString & | faultCode,
|  | const QString & | faultString,
|  | const QString & | faultActor = `QString()`
| ) |  |

Constructs a KDSoapFaultException according to the SOAP 1.1 attriutes.

Parameters

  faultCode | a code for identifying the fault
  faultString | a human readable explanation of the fault
  faultActor | information about who caused the fault to happen

## ◆ ~KDSoapFaultException()

KDSoapFaultException::~KDSoapFaultException | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ deserialize()

void KDSoapFaultException::deserialize | ( | const KDSoapValue & | mainValue | ) |

Reconstructs the KDSoapFaultException object from a KDSoapValue.

Parameters

  mainValue | KDSoapValue represents the fault tag element

## ◆ faultDetails()

const KDSoapValue & KDSoapFaultException::faultDetails | ( | const KDSoapValue & | faultValue | ) |
| static

Returns the KDSoapValue representing the <detail> tag from the parameter.

Parameters

  faultValue | Represent the <fault> tag in the SOAP protocol

## ◆ faultCode()

QString KDSoapFaultException::faultCode | ( |  | ) | const

Returns the fault code.

## ◆ setFaultCode()

void KDSoapFaultException::setFaultCode | ( | const QString & | faultCode | ) |

Set the code of the fault.

Parameters

  faultCode | Code of the fault

## ◆ faultString()

QString KDSoapFaultException::faultString | ( |  | ) | const

Returns the human readable fault string of the fault.

## ◆ setFaultString()

void KDSoapFaultException::setFaultString | ( | const QString & | faultString | ) |

Set the human-readable QString of the fault.

Parameters

  faultString | Human-readable message

## ◆ faultActor()

QString KDSoapFaultException::faultActor | ( |  | ) | const

Returns the fault actor of the fault as a QString

## ◆ setFaultActor()

void KDSoapFaultException::setFaultActor | ( | const QString & | faultActor | ) |

Set the fault actor with a string.

Parameters

  faultActor | information about who caused the fault to happen

## ◆ detailValue()

KDSoapValue KDSoapFaultException::detailValue | ( |  | ) | const

Returns the <detail> tag of the fault element as a KDSoapValue. When the fault is generic, return an empty KDSoapValue. When the fault is specific the KDSoapValue optionally contains specific serialized fault information.

## ◆ setDetailValue()

void KDSoapFaultException::setDetailValue | ( | const KDSoapValue & | detailValue | ) |

Set the KDSoapValue of the fault.

Parameters

  detailValue | KDSoapValue representing the <detail> tag of a fault message

## ◆ operator=()

KDSoapFaultException & KDSoapFaultException::operator= | ( | const KDSoapFaultException & | other | ) |

Assignment operator

The documentation for this class was generated from the following files:

- src/KDSoapClient/KDSoapFaultException.h
- src/KDSoapClient/KDSoapFaultException.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/